coreEngine.Helper.ASCIIAdapter

## Enum ASCIISeedFileAdapter_RLFormat.FieldTypeGeo

- java.lang.Object
- - java.lang.Enum<ASCIISeedFileAdapter_RLFormat.FieldTypeGeo>
  - - coreEngine.Helper.ASCIIAdapter.ASCIISeedFileAdapter_RLFormat.FieldTypeGeo

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ASCIISeedFileAdapter_RLFormat.FieldTypeGeo>
  Enclosing class:
    ASCIISeedFileAdapter_RLFormat

      private static enum ASCIISeedFileAdapter_RLFormat.FieldTypeGeo
      extends java.lang.Enum<ASCIISeedFileAdapter_RLFormat.FieldTypeGeo>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCEL_DECEL_LENGTH`
    `ERR`
    `FFS`
    `LANE_WIDTH`
    `NUM_LANES_ML`
    `NUM_LANES_RAMP`
    `RAMP_FFS`
    `RAMP_SIDE`
    `SEGMENT_LENGTHS`
    `SEGMENT_NUMBER`
    `SEGMENT_TYPES`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ASCIISeedFileAdapter_RLFormat.FieldTypeGeo` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ASCIISeedFileAdapter_RLFormat.FieldTypeGeo[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACCEL_DECEL_LENGTH

          public static final ASCIISeedFileAdapter_RLFormat.FieldTypeGeo ACCEL_DECEL_LENGTH

    - #### FFS

          public static final ASCIISeedFileAdapter_RLFormat.FieldTypeGeo FFS

    - #### LANE_WIDTH

          public static final ASCIISeedFileAdapter_RLFormat.FieldTypeGeo LANE_WIDTH

    - #### NUM_LANES_ML

          public static final ASCIISeedFileAdapter_RLFormat.FieldTypeGeo NUM_LANES_ML

    - #### NUM_LANES_RAMP

          public static final ASCIISeedFileAdapter_RLFormat.FieldTypeGeo NUM_LANES_RAMP

    - #### RAMP_FFS

          public static final ASCIISeedFileAdapter_RLFormat.FieldTypeGeo RAMP_FFS

    - #### RAMP_SIDE

          public static final ASCIISeedFileAdapter_RLFormat.FieldTypeGeo RAMP_SIDE

    - #### SEGMENT_LENGTHS

          public static final ASCIISeedFileAdapter_RLFormat.FieldTypeGeo SEGMENT_LENGTHS

    - #### SEGMENT_NUMBER

          public static final ASCIISeedFileAdapter_RLFormat.FieldTypeGeo SEGMENT_NUMBER

    - #### SEGMENT_TYPES

          public static final ASCIISeedFileAdapter_RLFormat.FieldTypeGeo SEGMENT_TYPES

    - #### ERR

          public static final ASCIISeedFileAdapter_RLFormat.FieldTypeGeo ERR

  - ### Method Detail

    - #### values

          public static ASCIISeedFileAdapter_RLFormat.FieldTypeGeo[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ASCIISeedFileAdapter_RLFormat.FieldTypeGeo c : ASCIISeedFileAdapter_RLFormat.FieldTypeGeo.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ASCIISeedFileAdapter_RLFormat.FieldTypeGeo valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null